Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UINotifyMessages.Properties

    java.lang.Object
      java.lang.Enum<UINotifyMessages.Properties>
          org.richfaces.component.UINotifyMessages.Properties

All Implemented Interfaces:
  Serializable, Comparable<UINotifyMessages.Properties>

Enclosing class:
  UINotifyMessages

    protected static enum UINotifyMessages.Properties

extends Enum<UINotifyMessages.Properties>

Enum Constant Summary
`ajaxRendered`
`animationSpeed`
`appearAnimation`
`delay`
`hideAnimation`
`keepTransient`
`nonblocking`
`nonblockingOpacity`
`showCloseButton`
`showHistory`
`showShadow`
`stack`
`stayTime`
`sticky`
`styleClass`

Method Summary
`static UINotifyMessages.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UINotifyMessages.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ajaxRendered

    public static final UINotifyMessages.Properties ajaxRendered

### animationSpeed

    public static final UINotifyMessages.Properties animationSpeed

### appearAnimation

    public static final UINotifyMessages.Properties appearAnimation

### delay

    public static final UINotifyMessages.Properties delay

### hideAnimation

    public static final UINotifyMessages.Properties hideAnimation

### keepTransient

    public static final UINotifyMessages.Properties keepTransient

### nonblocking

    public static final UINotifyMessages.Properties nonblocking

### nonblockingOpacity

    public static final UINotifyMessages.Properties nonblockingOpacity

### showCloseButton

    public static final UINotifyMessages.Properties showCloseButton

### showHistory

    public static final UINotifyMessages.Properties showHistory

### showShadow

    public static final UINotifyMessages.Properties showShadow

### stack

    public static final UINotifyMessages.Properties stack

### stayTime

    public static final UINotifyMessages.Properties stayTime

### sticky

    public static final UINotifyMessages.Properties sticky

### styleClass

    public static final UINotifyMessages.Properties styleClass

Method Detail

### values

    public static UINotifyMessages.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UINotifyMessages.Properties c : UINotifyMessages.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UINotifyMessages.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.